
package com.tmerclub.cloud.im.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 用户最近聊天记录表
 *
 * @author tmerclub
 * @date 2021-08-25 13:58:56
 */
public class ImMsgBizUser extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 自增主键
     */
    private Long id;

    /**
     * 发送类型1平台2商家
     */
    private Integer sendType;

    /**
     * 平台或商家id
     */
    private Long bizId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 员工id
     */
    private Long employeeId;

    /**
     * 平台或商家未读条数
     */
    private Integer bizUnreadNum;

    /**
     * 用户未读条数
     */
    private Integer userUnreadNum;

    /**
     * 最后一条消息id
     */
    private Long lastMsgId;

    /**
     * 最后一条消息类型,0文字1商品信息2图片
     */
    private Integer lastMsgType;

    /**
     * 最后一条消息内容
     */
    private String lastMsgContent;

    /**
     * 最后一条消息谁发的0系统1员工2用户
     */
    private Integer lastMsgWhoSend;

    /**
     * 最后一条消息时间
     */
    private LocalDateTime lastMsgTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getSendType() {
        return sendType;
    }

    public void setSendType(Integer sendType) {
        this.sendType = sendType;
    }

    public Long getBizId() {
        return bizId;
    }

    public void setBizId(Long bizId) {
        this.bizId = bizId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getEmployeeId() {
        return employeeId;
    }

    public void setEmployeeId(Long employeeId) {
        this.employeeId = employeeId;
    }

    public Integer getBizUnreadNum() {
        return bizUnreadNum;
    }

    public void setBizUnreadNum(Integer bizUnreadNum) {
        this.bizUnreadNum = bizUnreadNum;
    }

    public Integer getUserUnreadNum() {
        return userUnreadNum;
    }

    public void setUserUnreadNum(Integer userUnreadNum) {
        this.userUnreadNum = userUnreadNum;
    }

    public Long getLastMsgId() {
        return lastMsgId;
    }

    public void setLastMsgId(Long lastMsgId) {
        this.lastMsgId = lastMsgId;
    }

    public Integer getLastMsgType() {
        return lastMsgType;
    }

    public void setLastMsgType(Integer lastMsgType) {
        this.lastMsgType = lastMsgType;
    }

    public String getLastMsgContent() {
        return lastMsgContent;
    }

    public void setLastMsgContent(String lastMsgContent) {
        this.lastMsgContent = lastMsgContent;
    }

    public Integer getLastMsgWhoSend() {
        return lastMsgWhoSend;
    }

    public void setLastMsgWhoSend(Integer lastMsgWhoSend) {
        this.lastMsgWhoSend = lastMsgWhoSend;
    }

    public LocalDateTime getLastMsgTime() {
        return lastMsgTime;
    }

    public void setLastMsgTime(LocalDateTime lastMsgTime) {
        this.lastMsgTime = lastMsgTime;
    }

    @Override
    public String toString() {
        return "ImMsgBizUser{" +
                "id=" + id +
                ",createTime=" + createTime +
                ",updateTime=" + updateTime +
                ",sendType=" + sendType +
                ",bizId=" + bizId +
                ",userId=" + userId +
                ",employeeId=" + employeeId +
                ",bizUnreadNum=" + bizUnreadNum +
                ",userUnreadNum=" + userUnreadNum +
                ",lastMsgId=" + lastMsgId +
                ",lastMsgType=" + lastMsgType +
                ",lastMsgContent=" + lastMsgContent +
                ",lastMsgWhoSend=" + lastMsgWhoSend +
                ",lastMsgTime=" + lastMsgTime +
                '}';
    }
}
